PipeWire 0.2.6

Data Fields
pw_time Struct Reference

A time structure. More...

## Data Fields
int64_t | now
| the monotonic time More...
struct spa_fraction | rate
| the rate of ticks More...
uint64_t | ticks
| the ticks at now. More...
uint64_t | delay
| delay to device, add to ticks for INPUT streams and subtract from ticks for OUTPUT streams to get the time of the device. More...
uint64_t | queued
| data queued in the stream, this is the sum of the size fields in the pw_buffer that are currently queued More...

## Detailed Description

A time structure.

## Field Documentation

## ◆ delay

uint64_t pw_time::delay

delay to device, add to ticks for INPUT streams and subtract from ticks for OUTPUT streams to get the time of the device.

## ◆ now

int64_t pw_time::now

the monotonic time

## ◆ queued

uint64_t pw_time::queued

data queued in the stream, this is the sum of the size fields in the pw_buffer that are currently queued

Referenced by pw_stream_get_time().

## ◆ rate

struct spa_fraction pw_time::rate

the rate of ticks

## ◆ ticks

uint64_t pw_time::ticks

the ticks at now.

This is the current time that the remote end is reading/writing.

The documentation for this struct was generated from the following file:

- stream.h